## dde-file-manager 6.0.55

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(filemanager)
set(CMAKE_CXX_STANDARD 17)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -Wall -Wl,--as-needed")

#安全加固
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all -Werror=return-type")
if (${CMAKE_SYSTEM_PROCESSOR} MATCHES "mips")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -z noexecstack -z relro")
    add_definitions(-D ARCH_MIPSEL)
endif()

find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(DtkCMake REQUIRED)
#if no debug, can't out in code define key '__FUNCTION__' and so on
add_definitions(-DQT_MESSAGELOGCONTEXT)

# TODO: control it by CI. (Automation Testing)
add_definitions(-DENABLE_TESTING)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif()

#Indentify the version
if (${DEEPIN_OS_VERSION} MATCHES "23")
    add_definitions(-DCOMPILE_ON_V23)
    set(COMPLIE_ON_V23 TRUE)
    message("COMPILE ON v23")
else()
    add_definitions(-DCOMPILE_ON_V20)
    set(COMPLIE_ON_V20 TRUE)
    message("COMPILE ON v20")
endif()

# TODO(zhangs): enable it
# Disbale qDebug(), qInfo(), qWaring(), qCritical()
# Use qCDebug() instead of qDebug()
option(DISABLE_DEBUG_MACRO "Disable Debug Macro" Off)
if(DISABLE_DEBUG_MACRO)
    add_definitions(-DDFM_DISABLE_DEBUG_MACRO)
endif()

include(GNUInstallDirs)

# dbus xml dir
set(DFM_DBUS_XML_DIR ${CMAKE_SOURCE_DIR}/assets/dbus)

# defines plugins install dir
if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_FULL_LIBDIR})
endif()

# root plguins dir
if(NOT DEFINED DFM_PLUGIN_DIR)
    set(DFM_PLUGIN_DIR ${LIB_INSTALL_DIR}/dde-file-manager/plugins)
endif()

# build plugins dir
if(NOT DEFINED DFM_BUILD_PLUGIN_DIR)
    set(DFM_BUILD_PLUGIN_DIR ${CMAKE_CURRENT_BINARY_DIR}/src/plugins)
endif()

# common-core plugins dir
if(NOT DEFINED DFM_PLUGIN_COMMON_CORE_DIR)
    set(DFM_PLUGIN_COMMON_CORE_DIR ${DFM_PLUGIN_DIR}/common-core)
endif()

# desktop-core plugins dir
if(NOT DEFINED DFM_PLUGIN_DESKTOP_CORE_DIR)
    set(DFM_PLUGIN_DESKTOP_CORE_DIR ${DFM_PLUGIN_DIR}/desktop-core)
endif()

# filemanager-core plugins dir
if(NOT DEFINED DFM_PLUGIN_FILEMANAGER_CORE_DIR)
    set(DFM_PLUGIN_FILEMANAGER_CORE_DIR ${DFM_PLUGIN_DIR}/filemanager-core)
endif()

# common-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_COMMON_EDGE_DIR)
    set(DFM_PLUGIN_COMMON_EDGE_DIR ${DFM_PLUGIN_DIR}/common-edge)
endif()

# daemon-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_DAEMON_EDGE_DIR)
    set(DFM_PLUGIN_DAEMON_EDGE_DIR ${DFM_PLUGIN_DIR}/daemon-edge)
endif()

# server-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_SERVER_EDGE_DIR)
    set(DFM_PLUGIN_SERVER_EDGE_DIR ${DFM_PLUGIN_DIR}/server-edge)
endif()

# desktop-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_DESKTOP_EDGE_DIR)
    set(DFM_PLUGIN_DESKTOP_EDGE_DIR ${DFM_PLUGIN_DIR}/desktop-edge)
endif()

# filemanager-edge plugins dir
if(NOT DEFINED DFM_PLUGIN_FILEMANAGER_EDGE_DIR)
    set(DFM_PLUGIN_FILEMANAGER_EDGE_DIR ${DFM_PLUGIN_DIR}/filemanager-edge)
endif()

# tools
if(NOT DEFINED DFM_TOOLS_DIR)
    set(DFM_TOOLS_DIR ${LIB_INSTALL_DIR}/dde-file-manager/tools)
endif()

# dde-file-thumbnail-tool
if(NOT DEFINED DFM_THUMBNAIL_TOOL)
    set(DFM_THUMBNAIL_TOOL ${LIB_INSTALL_DIR}/dde-file-manager/tools)
endif()

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING
      "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

message("Build type:"${CMAKE_BUILD_TYPE})

if (${CMAKE_BUILD_TYPE} STREQUAL "Debug")
    set(BUILD_TESTING ON)
    set(BUILD_DOCS Off)
else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Ofast")
    set(BUILD_DOCS ON CACHE BOOL "Generate doxygen-based documentation")
    # generate qm
    execute_process(COMMAND bash "translate_generation.sh"
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src)
endif()

# sub directories
add_subdirectory(src/apps)
add_subdirectory(src/dfm-base)
add_subdirectory(src/dfm-extension)
add_subdirectory(src/dfm-framework)
add_subdirectory(src/plugins)
add_subdirectory(src/external)
add_subdirectory(src/tools)

# docs
if (BUILD_DOCS)
    find_package(Doxygen)
    if (DOXYGEN_FOUND)
        add_subdirectory(docs)
    endif()
endif ()

# test
message(STATUS "Enable testing: ${BUILD_TESTING}")
if(BUILD_TESTING)
    enable_testing()
    add_subdirectory(tests)
endif()

=== docs/CMakeLists.txt ===
set (QCH_INSTALL_DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/qt5/doc CACHE STRING "QCH install location")
set (DOXYGEN_GENERATE_HTML "YES" CACHE STRING "Doxygen HTML output")
set (DOXYGEN_GENERATE_XML "NO" CACHE STRING "Doxygen XML output")
set (DOXYGEN_GENERATE_QHP "YES" CACHE STRING "Doxygen QHP output")
set (DOXYGEN_FILE_PATTERNS *.cpp *.h *.md *.zh_CN.dox CACHE STRING "Doxygen File Patterns")
set (DOXYGEN_PROJECT_NUMBER ${CMAKE_PROJECT_VERSION} CACHE STRING "") # Should be the same as this project is using.
set (DOXYGEN_EXTRACT_STATIC YES)
set (DOXYGEN_OUTPUT_LANGUAGE "Chinese")
set (DOXYGEN_OUTPUT_DIRECTORY ${PROJECT_BINARY_DIR}/docs/)
set (DOXYGEN_QHG_LOCATION "qhelpgenerator")
set (DOXYGEN_QHP_NAMESPACE "org.deepin.dtk.io")
set (DOXYGEN_QCH_FILE "${PROJECT_NAME}.qch")
set (DOXYGEN_QHP_VIRTUAL_FOLDER ${PROJECT_NAME})
set (DOXYGEN_HTML_EXTRA_STYLESHEET "" CACHE STRING "Doxygen custom stylesheet for HTML output")
set (DOXYGEN_TAGFILES "qtcore.tags=qthelp://doc.qt.io/qt-5/" CACHE STRING "Doxygen tag files")
set (DOXYGEN_MACRO_EXPANSION "YES")
set (DOXYGEN_EXPAND_ONLY_PREDEF "YES")
set (DOXYGEN_PREDEFINED
    "DPF_BEGIN_NAMESPACE=namespace dpf {"
    "DPF_END_NAMESPACE=}"
    "DPF_USE_NAMESPACE=using dpf;"
    "BEGEN_DFMEXT_NAMESPACE=namespace dfmext {"
    "END_DFMEXT_NAMESPACE=}"
    "USING_DFMEXT_NAMESPACE=using dfmext;"
    "DFMBASE_BEGIN_NAMESPACE=namespace dfmbase {"
    "DFMBASE_USE_NAMESPACE=}"
    "DFMBASE_USE_NAMESPACE=using dfmbase;"
    "DFMGLOBAL_BEGIN_NAMESPACE=namespace dfmbase::Global {"
    "DFMGLOBAL_END_NAMESPACE=}"
    "DFMGLOBAL_USE_NAMESPACE=using dfmbase::Global;"
)

doxygen_add_docs (doxygen
    ${PROJECT_SOURCE_DIR}/include
    ${PROJECT_SOURCE_DIR}/docs
    ALL
    WORKING_DIRECTORY ${PROJECT_SOURCE_DIR}
    COMMENT "Generate documentation via Doxygen"
)

install (FILES ${PROJECT_BINARY_DIR}/docs/html/${PROJECT_NAME}.qch DESTINATION ${QCH_INSTALL_DESTINATION})

=== src/apps/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

add_definitions(-DDFM_ORGANIZATION_NAME="deepin")

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
#    set(CMAKE_VERBOSE_MAKEFILEON ON)
#    message("debug type open sanitize check")
#    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
#    set(CMAKE_L_FLAGS "${CMAKE_L_FLAGS} -fsanitize=undefined,address,leak -fno-omit-frame-pointer")
endif()

add_subdirectory(dde-desktop)
add_subdirectory(dde-file-manager)
add_subdirectory(dde-file-manager-daemon)
add_subdirectory(dde-file-manager-server)
add_subdirectory(dde-file-dialog)
add_subdirectory(dde-file-dialog-x11)
add_subdirectory(dde-file-dialog-wayland)

=== src/dfm-base/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME dfm-base)

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

# signals and slots keyword is disable, use Q_SIGNALS and Q_SLOTS instead
add_compile_definitions(QT_NO_SIGNALS_SLOTS_KEYWORDS)
add_compile_definitions(THUMBNAIL_TOOL_DIR="${DFM_THUMBNAIL_TOOL}")

# add qrc resources
set(QRC_FILES
    qrc/skin/skin.qrc
    qrc/skin/filemanager.qrc
    qrc/themes/themes.qrc
    qrc/configure.qrc
    qrc/resources/resources.qrc
    qrc/chinese2pinyin/chinese2pinyin.qrc
    )
qt5_add_resources(QRC_RESOURCES ${QRC_FILES})

# add code
file(GLOB_RECURSE INCLUDE_FILES CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.hpp"
    "./*.cpp"
)

# add depends
find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt5 COMPONENTS Concurrent REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5 COMPONENTS Sql REQUIRED)
find_package(Qt5 COMPONENTS X11Extras REQUIRED)
find_package(Qt5 COMPONENTS Network REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5Codecs REQUIRED)

pkg_search_module(dfm-burn REQUIRED dfm-burn IMPORTED_TARGET)
pkg_search_module(dfm-io REQUIRED dfm-io IMPORTED_TARGET)
pkg_search_module(dfm-mount REQUIRED dfm-mount IMPORTED_TARGET)
pkg_search_module(gsettings REQUIRED gsettings-qt IMPORTED_TARGET)
pkg_check_modules(mount REQUIRED mount IMPORTED_TARGET)
pkg_search_module(Dtk REQUIRED dtkcore IMPORTED_TARGET)
pkg_search_module(X11 REQUIRED x11 IMPORTED_TARGET)

# generate dbus interface
qt5_add_dbus_interface(SRCS
    ${DFM_DBUS_XML_DIR}/org.deepin.filemanager.server.DeviceManager.xml
    devicemanager_interface)

# for generating middle source files of SettingsTemplate to translate.
set(TRANS_OF_SETTINGS_CPP)
set (DTK_SETTINGS_TOOLS_EXECUTABLE ${DTKCORE_TOOL_DIR}/dtk-settings)
if (EXISTS ${DTK_SETTINGS_TOOLS_EXECUTABLE})
    FILE (GLOB SETTING_TEMPALTE_FILES
        "${CMAKE_CURRENT_SOURCE_DIR}/qrc/configure/*.js")

    foreach(temp ${SETTING_TEMPALTE_FILES})
#        message("---- found template: ${temp}")
        string(REPLACE ".js" "-trans.cpp" TARGET_CPP ${temp})
#        message("---- convert to ${TARGET_CPP}")
        execute_process(COMMAND ${DTK_SETTINGS_TOOLS_EXECUTABLE} ${temp} -o ${TARGET_CPP})

        string(REPLACE "/" ";" PATH_FRAGS ${TARGET_CPP})
        list(GET PATH_FRAGS -1 FUNC_NAME)
        string(REPLACE ".cpp" "" FUNC_NAME ${FUNC_NAME})
        string(REPLACE "-" "_" FUNC_NAME ${FUNC_NAME})
        execute_process(COMMAND sed -i "5s/GenerateSettingTranslate/${FUNC_NAME}/" ${TARGET_CPP})

        list(APPEND TRANS_OF_SETTINGS_CPP ${TARGET_CPP})
    endforeach()

#    message(">>>> cpp source files for translating are generated: ${TRANS_OF_SETTINGS_CPP}")
    list(APPEND TRANS_OF_SETTINGS_CPP
        ${CMAKE_CURRENT_SOURCE_DIR}/qrc/configure/global-setting-template-manully-trans.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/qrc/configure/global-setting-template-dfmio-trans.cpp)
endif()

# build
add_library(${BIN_NAME}
    SHARED
    ${QRC_RESOURCES}
    ${INCLUDE_FILES}
    ${SRCS}
)

target_link_libraries(${BIN_NAME} PUBLIC
    Qt5::Core
    Qt5::Widgets
    Qt5::Concurrent
    Qt5::DBus
    Qt5::Sql
    Qt5::X11Extras
    Qt5::Network
    PkgConfig::dfm-burn
    PkgConfig::dfm-mount
    PkgConfig::dfm-io
    PkgConfig::gsettings
    PkgConfig::mount
    PkgConfig::X11
    poppler-cpp
    KF5::Codecs
    ${DtkWidget_LIBRARIES}
)

target_include_directories(${BIN_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${Qt5Widgets_PRIVATE_INCLUDE_DIRS}
    )

set(ShareDir ${CMAKE_INSTALL_PREFIX}/share/dde-file-manager) # also use for install
target_compile_definitions(
        ${BIN_NAME}
        PRIVATE APPSHAREDIR="${ShareDir}"
        PRIVATE DFM_BASE_INTERNAL_USE=1
)

add_library(DFM::base ALIAS ${BIN_NAME})

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

# install library file
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION  ${LIB_INSTALL_DIR})
# install header files
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)

# for pc file config
set(PC_LIBS_PRIVATE Qt${QT_VERSION_MAJOR}Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

# install resources files
set(AssetsPath ${PROJECT_SOURCE_DIR}/assets)

FILE(GLOB SCHEMA_FILES ${AssetsPath}/gschema/*)
install(FILES ${SCHEMA_FILES} DESTINATION share/glib-2.0/schemas)
install(CODE "execute_process(COMMAND glib-compile-schemas ${CMAKE_INSTALL_PREFIX}/share/glib-2.0/schemas)")

set(DLNFS_SCRIPT ${AssetsPath}/scripts/dfm-dlnfs-automount)
install(FILES ${DLNFS_SCRIPT} DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/deepin/dde-file-manager)

set(DLNFS_SCRIPT_LAUNCHER ${AssetsPath}/scripts/99dfm-dlnfs-automount)
install(FILES ${DLNFS_SCRIPT_LAUNCHER} DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/X11/Xsession.d)

set(DFM_DLNFS_SCRIPT_LAUNCHER
    ${AssetsPath}/scripts/dde-file-manager
    ${AssetsPath}/scripts/file-manager.sh)
install(FILES ${DFM_DLNFS_SCRIPT_LAUNCHER} DESTINATION bin)

set(Mimetypes "${ShareDir}/mimetypes")
FILE(GLOB MIMETYPE_FILES ${AssetsPath}/mimetypes/*)
install(FILES ${MIMETYPE_FILES} DESTINATION ${Mimetypes})

set(MimetypeAssociations "${ShareDir}/mimetypeassociations")
FILE(GLOB MIMETYPEASSOCIATIONS_FILES ${AssetsPath}/mimetypeassociations/*)
install(FILES ${MIMETYPEASSOCIATIONS_FILES} DESTINATION ${MimetypeAssociations})

set(Templates "${ShareDir}/templates")
FILE(GLOB TEMPLATES_FILES ${AssetsPath}/templates/*)
install(FILES ${TEMPLATES_FILES} DESTINATION ${Templates})

set(OemMenuDir "${CMAKE_INSTALL_PREFIX}/share/deepin/dde-file-manager/oem-menuextensions")
install(FILES ${AssetsPath}/.readme DESTINATION ${OemMenuDir})

set(ContexMenuDir "${CMAKE_INSTALL_PREFIX}/share/applications/context-menus")
install(FILES ${AssetsPath}/.readme DESTINATION ${ContexMenuDir})

# log viewer
set(LogViewerConfDir "${CMAKE_INSTALL_PREFIX}/share/deepin-log-viewer/deepin-log.conf.d")
install(FILES ${AssetsPath}/log/viewer/dde-file-manager.json DESTINATION ${LogViewerConfDir})

# log debug
set(LogDebugConfDir "${CMAKE_INSTALL_PREFIX}/share/deepin-debug-config/deepin-debug-config.d")
install(FILES ${AssetsPath}/log/debug/org.deepin.file-manager.json DESTINATION ${LogDebugConfDir})

include(${CMAKE_SOURCE_DIR}/install_dconfig.cmake)
INSTALL_DCONFIG("org.deepin.dde.file-manager.json")
INSTALL_DCONFIG("org.deepin.dde.file-manager.plugins.json")
INSTALL_DCONFIG("org.deepin.dde.file-manager.view.json")

=== src/dfm-extension/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME dfm-extension)

file(GLOB_RECURSE INCLUDE_FILES  CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

add_library(${BIN_NAME} SHARED
    ${INCLUDE_FILES}
    ${SRCS}
)

target_include_directories(${BIN_NAME} PUBLIC
    ${PROJECT_SOURCE_DIR}/include)

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

add_library(DFM::extension ALIAS ${BIN_NAME})

target_compile_definitions(${BIN_NAME} PRIVATE VERSION="${CMAKE_PROJECT_VERSION}")

# install dev
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)

# for pc file config
set(PC_LIBS_PRIVATE Qt${QT_VERSION_MAJOR}Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/dfm-framework/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME dfm-framework)

file(GLOB_RECURSE INCLUDE_FILES  CONFIGURE_DEPENDS "${PROJECT_SOURCE_DIR}/include/${BIN_NAME}/*")
file(GLOB_RECURSE SRCS CONFIGURE_DEPENDS
    "./*.h"
    "./*.cpp"
)

find_package(Qt5 COMPONENTS Core REQUIRED)
find_package(Qt5 COMPONENTS Concurrent REQUIRED)
find_package(Dtk COMPONENTS Core REQUIRED)

add_library(${BIN_NAME} SHARED
    ${INCLUDE_FILES}
    ${SRCS}
)

target_link_libraries(
    ${BIN_NAME}
    Qt5::Core
    Qt5::Concurrent
    ${DtkCore_LIBRARIES}
)

target_include_directories(${BIN_NAME} PUBLIC ${PROJECT_SOURCE_DIR}/include)

if (NOT VERSION)
    set(VERSION "1.0.0")
endif()

if (NOT PROJECT_VERSION_MAJOR)
    set(PROJECT_VERSION_MAJOR 1)
endif()

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${VERSION}
    SOVERSION ${PROJECT_VERSION_MAJOR}
)

add_library(DFM::framework ALIAS ${BIN_NAME})

target_compile_definitions(${BIN_NAME}
    PRIVATE VERSION="${CMAKE_PROJECT_VERSION}"
    PRIVATE DPF_INTERNAL_USE=1
    )

# install dev
install(TARGETS ${BIN_NAME} LIBRARY DESTINATION ${LIB_INSTALL_DIR})
install(DIRECTORY
    ${PROJECT_SOURCE_DIR}/include/${BIN_NAME}
    DESTINATION include
    FILES_MATCHING PATTERN "*.h"
)

# for pc file config
set(PC_LIBS_PRIVATE Qt${QT_VERSION_MAJOR}Core)
set(PC_REQ_PRIVATE)
set(PC_REQ_PUBLIC)

# config pkgconfig file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}.pc.in ${BIN_NAME}.pc @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

# config cmake file
configure_file(${PROJECT_SOURCE_DIR}/assets/dev/${BIN_NAME}/${BIN_NAME}Config.cmake.in ${BIN_NAME}Config.cmake @ONLY)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${BIN_NAME}Config.cmake DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/${BIN_NAME})

=== src/plugins/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# add sub dir for business plugins

add_subdirectory(filemanager)
add_subdirectory(filedialog)
add_subdirectory(desktop)
add_subdirectory(common)
add_subdirectory(daemon)
add_subdirectory(server)

=== src/tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# add sub dir for business plugins

add_subdirectory(upgrade)
add_subdirectory(compat)

=== tests/dfm-base/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(test-dfm-base)

set(HeaderPath ${PROJECT_INCLUDE_PATH}/dfm-base/)
set(SourcePath ${PROJECT_SOURCE_PATH}/dfm-base/)

add_compile_definitions(APPSHAREDIR="/usr/share/dde-file-manager")

# UT文件
file(GLOB_RECURSE UT_CXX_FILE
    FILES_MATCHING PATTERN "*.cpp" "*.h")
file(GLOB_RECURSE HEADER_FILES
    FILES_MATCHING PATTERN "${HeaderPath}/*.h"  "${HeaderPath}/*.hpp")
file(GLOB_RECURSE SRC_FILES
    FILES_MATCHING PATTERN "${SourcePath}/*.cpp" "${SourcePath}/*.h" "${SourcePath}/*.hpp")

find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Qt5 COMPONENTS Concurrent REQUIRED)
find_package(Qt5 COMPONENTS DBus REQUIRED)
find_package(Qt5 COMPONENTS Sql REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)
find_package(Qt5 COMPONENTS X11Extras REQUIRED)
find_package(PkgConfig REQUIRED)
find_package(KF5Codecs REQUIRED)
find_package(X11 REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)

pkg_search_module(libmount REQUIRED mount IMPORTED_TARGET)
pkg_search_module(dfm-burn REQUIRED dfm-burn IMPORTED_TARGET)
pkg_search_module(dfm-io REQUIRED dfm-io IMPORTED_TARGET)
pkg_search_module(dfm-mount REQUIRED dfm-mount IMPORTED_TARGET)
pkg_search_module(gsettings REQUIRED gsettings-qt IMPORTED_TARGET)
pkg_search_module(Dtk REQUIRED dtkcore IMPORTED_TARGET)

qt5_add_dbus_interface(SRC_FILES ${DFM_DBUS_XML_DIR}/org.deepin.filemanager.server.DeviceManager.xml devicemanager_interface)

add_executable(${PROJECT_NAME}
    ${HEADER_FILES}
    ${SRC_FILES}
    ${UT_CXX_FILE}
    ${CPP_STUB_SRC}
)

target_include_directories(${PROJECT_NAME} PUBLIC
    ${PROJECT_INCLUDE_PATH}
    ${SourcePath}
    ${DtkWidget_INCLUDEDIRS}
    ${Qt5Widgets_PRIVATE_INCLUDE_DIRS})

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt5::Widgets
    Qt5::Concurrent
    Qt5::DBus
    Qt5::X11Extras
    Qt5::Sql
    PkgConfig::dfm-io
    PkgConfig::dfm-burn
    PkgConfig::dfm-mount
    PkgConfig::gsettings
    PkgConfig::libmount
    poppler-cpp
    KF5::Codecs
    ${DtkWidget_LIBRARIES}
    ${X11_LIBRARIES}
)

add_test(
  NAME dfm-base
  COMMAND $<TARGET_FILE:${PROJECT_NAME}>
)

=== src/apps/dde-desktop/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(dde-desktop)

configure_file(
    "../config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

set(SRCS
    main.cpp
    desktopdbusinterface.cpp
    desktopdbusinterface.h
)

find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Widgets
    DBus
    REQUIRED)

find_package(Dtk COMPONENTS Widget REQUIRED)

add_executable(${PROJECT_NAME} ${SRCS})

target_include_directories(${PROJECT_NAME}
    PRIVATE
        ${CMAKE_CURRENT_BINARY_DIR}
        ${DtkWidget_INCLUDE_DIRS}
        ${Qt5DBus_INCLUDE_DIRS}
)

target_link_libraries(
    ${PROJECT_NAME}
    DFM::base
    DFM::framework
    Qt5::Widgets
    Qt5::DBus
    ${DtkWidget_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)

# dbus
install(FILES data/com.deepin.dde.desktop.service DESTINATION share/dbus-1/services)

# computer and trash
install(FILES data/applications/dfm-open.sh DESTINATION bin/)
install(FILES data/applications/dde-computer.desktop DESTINATION share/applications/)
install(FILES data/applications/dde-trash.desktop DESTINATION share/applications/)
install(FILES data/applications/dde-home.desktop DESTINATION share/applications/)

=== src/apps/dde-file-dialog-wayland/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Compatibility history issues, GTK check app name
project(dde-select-dialog-wayland)

configure_file(
    "../config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

set(SRCS
    main.cpp
)

find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)

add_executable(${PROJECT_NAME} ${SRCS})

target_link_libraries(
    ${PROJECT_NAME}
    Qt5::Widgets
    DFM::base
    DFM::framework
    ${DtkWidget_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(FILES data/com.deepin.filemanager.filedialog_wayland.service DESTINATION share/dbus-1/services)

=== src/apps/dde-file-dialog-x11/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

# Compatibility history issues, GTK check app name
project(dde-select-dialog-x11)

configure_file(
    "../config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

set(SRCS
    main.cpp
)

find_package(Qt5 COMPONENTS Widgets REQUIRED)
find_package(Dtk COMPONENTS Widget REQUIRED)

add_executable(${PROJECT_NAME} ${SRCS})

target_link_libraries(
    ${PROJECT_NAME}
    Qt5::Widgets
    DFM::base
    DFM::framework
    ${DtkWidget_LIBRARIES}
)

install(TARGETS ${PROJECT_NAME} DESTINATION bin)
install(FILES data/com.deepin.filemanager.filedialog_x11.service DESTINATION share/dbus-1/services)

## dde-file-manager 5.2.18

=== debian/changelog ===
dde-file-manager (5.2.18-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 28 Apr 2021 09:16:36 +0800

dde-file-manager (1.0.1-1) stable; urgency=low

  * Autobuild Tag 1.0.1 

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 26 Jul 2016 06:56:58 +0000

dde-file-manager (1.0-3) stable; urgency=low

  * Rebuild Version 1.0 

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 26 Jul 2016 04:42:53 +0000

dde-file-manager (1.0-2) stable; urgency=low

  * Rebuild Version 1.0 

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 26 Jul 2016 04:17:56 +0000

dde-file-manager (1.0-1) unstable; urgency=medium

  * Initial release 

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 16 Feb 2016 11:08:50 +0800

=== debian/control ===
Source: dde-file-manager
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 debhelper (>=9),
 pkg-config,
 qt5-qmake,
 qtbase5-dev,
 qtbase5-private-dev,
 libqt5x11extras5-dev,
 libjemalloc-dev,
 libqt5svg5-dev,
 libmagic-dev,
 libsecret-1-dev,
 libpoppler-cpp-dev,
 libpolkit-agent-1-dev,
 libpolkit-qt5-1-dev,
 qtmultimedia5-dev,
 libffmpegthumbnailer-dev,
 libtag1-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libxcb1-dev,
 x11proto-core-dev,
 libx11-dev,
 qttools5-dev-tools,
 libglib2.0-dev,
 dde-dock-dev(>=4.8.4.1),
 libxcb-ewmh-dev,
 libxcb-shape0-dev,
 libdframeworkdbus-dev,
 libxcb-util0-dev,
 qtdeclarative5-dev,
 deepin-gettext-tools,
 libkf5codecs-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 libdmr-dev,
 dh-systemd,
 deepin-anything-dev[i386 amd64],
 deepin-anything-server-dev[i386 amd64],
 libudisks2-qt5-dev,
 libxrender-dev,
 libmtdev-dev,
 libfontconfig1-dev,
 libfreetype6-dev,
 libegl1-mesa-dev,
 libglibmm-2.4-dev,
 libgio-qt-dev,
 libdisomaster-dev,
 libssl-dev,
 libmediainfo-dev,
 libqt5xdg-dev,
 libtag1-dev,
 libicu-dev,
 libcue-dev,
 liblucene++-dev,
 libgsf-1-dev,
 libglib2.0-dev,
 libhtmlcxx-dev,
 libxml2-dev,
 libmimetic-dev,
 libboost-date-time-dev,
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-regex-dev,
 libboost-system-dev,
 libboost-test-dev,
 libboost-thread-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdde-file-manager( =${binary:Version}),
 socat,
 cryfs,
 deepin-anything-dkms[i386 amd64],
 deepin-anything-server[i386 amd64],
 libblockdev-crypto2,
 dde-device-formatter
Conflicts: dde-file-manager-oem
Replaces: dde-file-manager-oem
Recommends: dde-qt5integration, avfs, samba
Description: File manager front end
 File manager front-end of Deepin OS

Package: dde-desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-file-manager( =${binary:Version})
Conflicts: dde-workspace (<< 2.90.5), dde-file-manager-oem
Replaces: dde-file-manager-oem
Recommends: qt5dxcb-plugin, deepin-screensaver
Description: deepin desktop-environment - desktop module
 Deepin Desktop Environment (DDE) - desktop module.

Package: dde-disk-mount-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-file-manager( =${binary:Version})
Description: plugin of dde-dock
 Disk mount plugin of dde-dock which is created by libdde-file-manager

Package: libdde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpoppler-cpp0v5 (>= 0.48.0),
 gvfs-backends(>=1.27.3),
 cryptsetup,
 libkf5codecs5,
 deepin-anything-libs[i386 amd64],
 liblucene++-dev,
 libgsf-1-dev,
 libglib2.0-dev,
 libhtmlcxx-dev,
 libxml2-dev,
 libmimetic-dev
Breaks: dde-file-manager(<=1.2.3-3)
Multi-Arch: same
Description: DDE File Manager library
 This package contains the shared libraries.

Package: libdde-file-manager-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdde-file-manager( =${binary:Version})
Description: DDE File Manager Devel library
 This package contains the header files and static libraries
 of libdde-file-manager

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5
include /usr/share/dpkg/default.mk

DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --parallel

override_dh_shlibdeps:
	dh_shlibdeps -l$(shell pwd)/debian/dde-sharefiles/usr/share/dde-file-manager/sharefiles/lib

override_dh_auto_configure:
	dh_auto_configure -- VERSION=$(VERSION) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" filemanager.pro

## dde-file-manager 5.5.10

=== debian/changelog ===
dde-file-manager (5.5.10-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 18 Mar 2022 18:03:36 +0800

=== debian/control ===
--- 
+++ 
@@ -40,34 +40,32 @@
  dh-systemd,
  deepin-anything-dev[i386 amd64],
  deepin-anything-server-dev[i386 amd64],
- libudisks2-qt5-dev,
+ libudisks2-qt5-dev(>=5.0.6),
  libxrender-dev,
  libmtdev-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
  libegl1-mesa-dev,
  libglibmm-2.4-dev,
- libgio-qt-dev,
- libdisomaster-dev,
+ libgio-qt-dev(>=0.0.11),
+ libdisomaster-dev(>=5.0.7),
  libssl-dev,
  libmediainfo-dev,
  libqt5xdg-dev,
  libtag1-dev,
  libicu-dev,
- libcue-dev,
  liblucene++-dev,
  libgsf-1-dev,
  libglib2.0-dev,
- libhtmlcxx-dev,
- libxml2-dev,
- libmimetic-dev,
  libboost-date-time-dev,
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-regex-dev,
  libboost-system-dev,
  libboost-test-dev,
- libboost-thread-dev
+ libboost-thread-dev,
+ libdocparser-dev,
+ deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -104,6 +102,19 @@
 Description: plugin of dde-dock
  Disk mount plugin of dde-dock which is created by libdde-file-manager
 
+Package: libdfm-extension
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: extension library of dde-file-manager
+ Extension library of dde-file-manager which is provided for third parties
+
+Package: libdfm-extension-dev
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension
+Description: Development package for libdfm-extension
+ This package contains the header files and pkgconfig
+ of libdfm-extension
+
 Package: libdde-file-manager
 Architecture: any
 Depends:
@@ -114,12 +125,12 @@
  cryptsetup,
  libkf5codecs5,
  deepin-anything-libs[i386 amd64],
- liblucene++-dev,
- libgsf-1-dev,
- libglib2.0-dev,
- libhtmlcxx-dev,
- libxml2-dev,
- libmimetic-dev
+ libudisks2-qt5 (>=5.0.6),
+ libdisomaster (>=5.0.7),
+ libdocparser,
+ libdfm-extension
+Recommends:
+ libudfburn
 Breaks: dde-file-manager(<=1.2.3-3)
 Multi-Arch: same
 Description: DDE File Manager library

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,4 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- VERSION=$(VERSION) LIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) DEFINES+="VERSION=$(DEB_VERSION_UPSTREAM)" filemanager.pro
+

## dde-file-manager 5.6.3

=== debian/changelog ===
dde-file-manager (5.6.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Fri, 06 May 2022 09:48:55 +0800

## dde-file-manager 5.6.4

=== debian/changelog ===
dde-file-manager (5.6.4-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Sun, 12 Jun 2022 18:06:09 +0800

## dde-file-manager 5.6.8

=== debian/changelog ===
dde-file-manager (5.6.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Tue, 26 Jul 2022 09:48:24 +0800

=== debian/control ===
--- 
+++ 
@@ -52,18 +52,10 @@
  libssl-dev,
  libmediainfo-dev,
  libqt5xdg-dev,
- libtag1-dev,
  libicu-dev,
  liblucene++-dev,
  libgsf-1-dev,
- libglib2.0-dev,
- libboost-date-time-dev,
  libboost-filesystem-dev,
- libboost-iostreams-dev,
- libboost-regex-dev,
- libboost-system-dev,
- libboost-test-dev,
- libboost-thread-dev,
  libdocparser-dev,
  deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
 Standards-Version: 3.9.8
@@ -78,7 +70,6 @@
  socat,
  cryfs,
  deepin-anything-dkms[i386 amd64],
- deepin-anything-server[i386 amd64],
  libblockdev-crypto2,
  dde-device-formatter
 Conflicts: dde-file-manager-oem
@@ -110,7 +101,7 @@
 
 Package: libdfm-extension-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension( =${binary:Version})
 Description: Development package for libdfm-extension
  This package contains the header files and pkgconfig
  of libdfm-extension
@@ -123,12 +114,8 @@
  libpoppler-cpp0v5 (>= 0.48.0),
  gvfs-backends(>=1.27.3),
  cryptsetup,
- libkf5codecs5,
  deepin-anything-libs[i386 amd64],
- libudisks2-qt5 (>=5.0.6),
- libdisomaster (>=5.0.7),
- libdocparser,
- libdfm-extension
+ libdfm-extension( =${binary:Version})
 Recommends:
  libudfburn
 Breaks: dde-file-manager(<=1.2.3-3)

## dde-file-manager 5.6.9

=== debian/changelog ===
dde-file-manager (5.6.9-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Wed, 31 Aug 2022 09:09:33 +0800

dde-file-manager (5.6.9) stable; urgency=medium

  * Update security improvement

 -- zhuangshu <zhuangshu@deepin.com>  Mon, 08 Aug 2022 14:32:58 +0000

## dde-file-manager 5.8.1

=== debian/changelog ===
dde-file-manager (5.8.1-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 10 Nov 2022 09:18:35 +0800

dde-file-manager (5.8.0) unstable; urgency=low

  * create baseline 5.8.0
  *

 -- new baseline <lvwujun@uniontech.com>  Fri, 04 Oct 2022 11:50:18 +0800

dde-file-manager (5.6.6) UNRELEASED; urgency=low

  * Autobuild Tag 5.6.6
  *

 -- TagBuilder <xushitong@uniontech.com>  Wed, 13 Jul 2022 17:52:39 +0800

## dde-file-manager 5.8.3

=== debian/changelog ===
dde-file-manager (5.8.3-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 08 Dec 2022 11:53:20 +0800

## dde-file-manager 5.9.2

=== debian/changelog ===
dde-file-manager (5.9.2-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@linuxdeepin.com>  Thu, 13 Apr 2023 15:10:14 +0800

=== debian/control ===
--- 
+++ 
@@ -37,9 +37,8 @@
  libdtkcore-dev,
  libdtkcore5-bin,
  libdmr-dev,
- dh-systemd,
- deepin-anything-dev[i386 amd64],
- deepin-anything-server-dev[i386 amd64],
+ deepin-anything-dev[i386 amd64 arm64],
+ deepin-anything-server-dev[i386 amd64 arm64],
  libudisks2-qt5-dev(>=5.0.6),
  libxrender-dev,
  libmtdev-dev,
@@ -57,7 +56,9 @@
  libgsf-1-dev,
  libboost-filesystem-dev,
  libdocparser-dev,
- deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
+ deepin-desktop-base | deepin-desktop-server | deepin-desktop-device,
+ libpcre3-dev,
+ libcryptsetup-dev
 Standards-Version: 3.9.8
 Homepage: http://www.deepin.org
 
@@ -69,7 +70,7 @@
  libdde-file-manager( =${binary:Version}),
  socat,
  cryfs,
- deepin-anything-dkms[i386 amd64],
+ deepin-anything-dkms[i386 amd64 arm64],
  libblockdev-crypto2,
  dde-device-formatter
 Conflicts: dde-file-manager-oem
@@ -114,7 +115,7 @@
  libpoppler-cpp0v5 (>= 0.48.0),
  gvfs-backends(>=1.27.3),
  cryptsetup,
- deepin-anything-libs[i386 amd64],
+ deepin-anything-libs[i386 amd64 arm64],
  libdfm-extension( =${binary:Version})
 Recommends:
  libudfburn

## dde-file-manager 6.0.55

=== debian/changelog ===
dde-file-manager (6.0.55) unstable; urgency=medium

  * some bug fix.
  * 

 -- XuShitong <xushitong@uniontech.com>  Thu, 08 Aug 2024 13:30:59 +0800

dde-file-manager (6.0.54) unstable; urgency=medium

  * 6.0.54,to strengthen DBUS security
  * 

 -- lvwujun <lvwujun@uniontech.com>  Wed, 10 Jul 2024 11:14:50 +0800

dde-file-manager (6.0.53) unstable; urgency=medium

  * 6.0.53,to support AM interface and video wallpaper
  * 

 -- lvwujun <lvwujun@uniontech.com>  Wed, 26 Jun 2024 9:57:50 +0800

dde-file-manager (6.0.52) unstable; urgency=medium

  * 6.0.52,to support AM show-item
  * 

 -- lvwujun <lvwujun@uniontech.com>  Fri, 31 May 2024 15:26:50 +0800

dde-file-manager (6.0.51) unstable; urgency=medium

  * 6.0.51
  * 

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 21 May 2024 19:21:50 +0800

dde-file-manager (6.0.50) unstable; urgency=medium

  * new AM adapt.
  * 

 -- xushitong <xushitong@uniontech.com>  Tue, 07 May 2024 16:02:46 +0800

dde-file-manager (6.0.49) unstable; urgency=medium

  * update file manager baseline version to V6.0.49

 -- gongheng <gongheng@uniontech.com>  Tue, 30 Apr 2024 13:26:49 +0800

dde-file-manager (6.0.48) unstable; urgency=medium

  * update file manager baseline version to V6.0.48

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 18 Apr 2024 17:37:25 +0800

dde-file-manager (6.0.47) unstable; urgency=medium

  * update file manager baseline version to V6.0.47

 -- zhangsheng <zhangsheng@uniontech.com>  Tue, 16 Apr 2024 15:21:35 +0800

dde-file-manager (6.0.46) unstable; urgency=medium

  * update file manager baseline version to V6.0.46

 -- liujinchang <liujinchang@uniontech.com>  Fri,12 Apr 2024 17:01:53 +0800

dde-file-manager (6.0.45) unstable; urgency=medium

  * update file manager baseline version to V6.0.45

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 10 Apr 2024 11:44:46 +0800

dde-file-manager (6.0.44) unstable; urgency=medium

  * update file manager baseline version to V6.0.44

 -- zhangsheng <zhangsheng@uniontech.com>  Wed, 03 Apr 2024 14:54:24 +0800

dde-file-manager (6.0.43) unstable; urgency=medium

  * update file manager baseline version to V6.0.43

 -- lvwujun <lvwujun@uniontech.com>  Thu, 28 Mar 2024 17:03:00 +0800

dde-file-manager (6.0.42) unstable; urgency=medium

  * update file manager baseline version to V6.0.42

 -- liuyangming <liuyangming@uniontech.com>  Wed, 27 Mar 2024 16:56:00 +0800

dde-file-manager (6.0.41) unstable; urgency=medium

  * update file manager baseline version to V6.0.41

 -- lvwujun <lvwujun@uniontech.com>  Mon, 04 Mar 2024 15:03:17 +0800

dde-file-manager (6.0.40) unstable; urgency=medium

  * update file manager baseline version to V6.0.40

 -- lvwujun <lvwujun@uniontech.com>  Wed, 17 Jan 2024 15:03:17 +0800

dde-file-manager (6.0.39) unstable; urgency=medium

  * update file manager baseline version to V6.0.39

 -- lvwujun <lvwujun@uniontech.com>  Tue, 16 Jan 2024 09:53:25 +0800

dde-file-manager (6.0.38) unstable; urgency=medium

  * update file manager baseline version to V6.0.38

 -- lvwujun <lvwujun@uniontech.com>  Mon, 15 Jan 2024 14:25:16 +0800

dde-file-manager (6.0.37) unstable; urgency=medium

  * update file manager baseline version to V6.0.37

 -- lvwujun <lvwujun@uniontech.com>  Wed, 29 Nov 2023 14:42:33 +0800

dde-file-manager (6.0.36) unstable; urgency=medium

  * update file manager baseline version to V6.0.36

 -- lvwujun <lvwujun@uniontech.com>  Wed, 22 Nov 2023 15:47:21 +0800

dde-file-manager (6.0.35) unstable; urgency=medium

  * update file manager baseline version to V6.0.35
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 15 Nov 2023 20:40:51 +0800

dde-file-manager (6.0.34) unstable; urgency=medium

  * baseline of feature disk encryption
  * 

 -- xushitong <xushitong@uniontech.com>  Wed, 08 Nov 2023 13:48:32 +0800

dde-file-manager (6.0.33) unstable; urgency=medium

  * update file manager baseline version to V6.0.33

 -- lvwujun <lvwujun@uniontech.com>  Thu, 2 Nov 2023 11:07:21 +0800

dde-file-manager (6.0.31) unstable; urgency=medium

  * update file manager baseline version to V6.0.31

 -- lvwujun <lvwujun@uniontech.com>  Fri, 1 Sep 2023 10:16:23 +0800

dde-file-manager (6.0.30) unstable; urgency=medium

  * update file manager baseline version to V6.0.30

 -- lvwujun <lvwujun@uniontech.com>  Mon, 28 Aug 2023 15:23:11 +0800

dde-file-manager (6.0.29) unstable; urgency=medium

  * update file manager baseline version to V6.0.29

 -- zhangsheng <zhangsheng@uniontech.com>  Thu, 24 Aug 2023 10:22:04 +0800

dde-file-manager (6.0.28) unstable; urgency=medium

  * update file manager baseline version to V6.0.28

 -- lvwujun <lvwujun@uniontech.com>  Fri, 18 Aug 2023 14:29:09 +0800

dde-file-manager (6.0.27) unstable; urgency=medium

  * update file manager baseline version to V6.0.27 that fixed some bugs

 -- lvwujun <lvwujun@uniontech.com>  Fri, 4 Aug 2023 11:18:29 +0800

dde-file-manager (6.0.26) unstable; urgency=medium

  * update file manager baseline version to V6.0.26 that merged eagle-sp5-2

 -- lvwujun <lvwujun@uniontech.com>  Thu, 3 Aug 2023 11:08:21 +0800

dde-file-manager (6.0.25) unstable; urgency=medium

  * update file manager V6.0.25 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 2 Aug 2023 10:05:21 +0800

dde-file-manager (6.0.24) unstable; urgency=medium

  * update file manager V6.0.24 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Tue, 1 Aug 2023 14:41:12 +0800

dde-file-manager (6.0.23) unstable; urgency=medium

  * update file manager V6.0.23 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Fri, 30 June 2023 10:03:21 +0800

dde-file-manager (6.0.22) unstable; urgency=medium

  * update file manager V6.0.22 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 28 June 2023 10:45:03 +0800

dde-file-manager (6.0.21) unstable; urgency=medium

  * update file manager V6.0.21 baseline version

 -- lvwujun <lvwujun@uniontech.com>  Wed, 14 June 2023 10:16:03 +0800

dde-file-manager (6.0.20) unstable; urgency=medium



=== debian/control ===
Source: dde-file-manager
Section: libdevel
Priority: optional
Maintainer: Deepin Packages Builder <packages@linuxdeepin.com>
Build-Depends:
 cmake,
 doxygen,
 debhelper (>=9),
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
 qtmultimedia5-dev,
 libffmpegthumbnailer-dev,
 libqt5svg5-dev,
 libpolkit-agent-1-dev, 
 libpolkit-qt5-1-dev,
 libdtkwidget-dev,
 libdtkgui-dev,
 libdtkcore-dev,
 libdtkcore5-bin,
 qttools5-dev-tools,
 qttools5-dev,
 dde-dock-dev(>=4.8.4.1),
 libdframeworkdbus-dev,
 libtag1-dev,
 libdmr-dev,
 libicu-dev,
 libdeepin-pdfium-dev,
 libqt5xdg-dev,
 libgio-qt-dev,
 libdfm-io-dev,
 libdfm-mount-dev,
 libdfm-burn-dev,
 libssl-dev,
 libgtest-dev,
 libgmock-dev,
 libgsettings-qt-dev,
 liblucene++-dev,
 libdocparser-dev,
 libboost-filesystem-dev,
 libsecret-1-dev,
 libkf5codecs-dev,
 libpoppler-cpp-dev,
 libcryptsetup-dev,
 libpcre3-dev,
 deepin-desktop-base | deepin-desktop-server | deepin-desktop-device
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: dde-desktop
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends}, 
 libdde-file-manager,
 dde-desktop-plugins
Conflicts: dde-workspace (<< 2.90.5), dde-file-manager-oem
Replaces: dde-file-manager-oem, dde-file-manager (<< 6.0.1)
Recommends: qt5dxcb-plugin, deepin-screensaver, dcc-wallpapersetting-plugin
Description: deepin desktop-environment - desktop module
 Deepin Desktop Environment (DDE) - desktop module.

Package: dde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libdde-file-manager,
 libgio-qt,
 libqt5xdg3,
 socat,
 cryfs,
 libblockdev-crypto2,
 dde-device-formatter,
 dde-file-manager-plugins, 
 dde-file-manager-daemon-plugins,
 dde-file-manager-server-plugins,
 dde-file-manager-common-plugins, 
 dde-file-manager-preview-plugins
Replaces: dde-file-manager-oem, dde-desktop (<< 6.0.1), libdde-file-manager
Recommends: dde-qt5integration, avfs, samba, deepin-anything-server
Description: File manager front end
 File manager front-end of Deepin OS

Package: libdde-file-manager
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libpoppler-cpp0v5 (>= 0.48.0),
 gvfs-backends(>=1.27.3),
 cryptsetup,
 libdfm-extension( =${binary:Version})
Multi-Arch: same
Description: DDE File Manager core librarys
 This package contains the shared libraries.

Package: dde-desktop-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - desktop edge plugins module
 Deepin Desktop Environment (DDE) - desktop edge plugins module.

Package: dde-file-manager-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs
Description: deepin desktop-environment - filemanager edge plugins module
 Deepin Desktop Environment (DDE) - filemanager edge plugins module.

Package: dde-file-manager-common-plugins
Architecture: any
Depends: 
 ${shlibs:Depends}, 
 ${misc:Depends}
Description: deepin desktop-environment - filemanager common edge plugins module
 Deepin Desktop Environment (DDE) - filemanager common edge plugins module.

Package: dde-file-manager-daemon-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - daemon edge plugins module
 Deepin Desktop Environment (DDE) - daemon edge plugins module.

Package: dde-file-manager-server-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - server edge plugins module
 Deepin Desktop Environment (DDE) - server edge plugins module.
 
Package: dde-file-manager-preview-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: deepin desktop-environment - filemanager preview plugins module
 Deepin Desktop Environment (DDE) - filemanager preview edge plugins module.

Package: dde-disk-mount-plugin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plugin of dde-dock
 Disk mount plugin of dde-dock which is created by dde-file-manager

Package: libdfm-extension
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: extension library of dde-file-manager
 Extension library of dde-file-manager which is provided for third parties

Package: libdfm-extension-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdfm-extension( =${binary:Version})
Description: Development package for libdfm-extension
 This package contains the header files and pkgconfig
 of libdfm-extension

Package: dde-file-manager-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dde-file-manager,
 libdfm-io-dev, libdfm-mount-dev, libdfm-burn-dev
Description: DDE File Manager Devel library
 This package contains the header files and static libraries
 of dde-file-manager
